Subject: Re: [6lo] New Version Notification for draft-popa-6lo-6loplc-ipv6-over-ieee19012-networks-00.txt

From: "Popa, Daniel" <[email-masked]>
Date: Thu, 10 Apr 2014 19:33:21 +0000

Hi Samita,

Thank you for your feedback. Responses within your lines.

Regards,
Daniel

Sent from my iPhone

> On 1 avr. 2014, at 03:14, "Samita Chakrabarti" <[email-masked]> wrote:
> 
> Hi Daniel/Jonathan:
> 
> 
> This work seems to make sense to me for PLC communication.
> 
> Out of curiosity, is it Homeplug that might be interested in this draft?  Do you have any plans/dependency of your draft with another SDO?
> 
DP> Indeed, HomePlug has started a certification and interoperability program for IEEE 1901.2 technology, called Netricity.
DP> I expect this draft will be used in the work done in Netricity program. But how exactly this draft will be used by Netricity will depend on the choice of Netricity WG members.

> By reading the draft briefly , I see there are two major differences : no fragmentation  at 6lowpan layer is recommended and  the MTU size at MAC layer is 1280 byte and at L2, IEEE 1901.2 takes care of the fragmentation due to lower PHY MTU size.
> 
> Other thing I notice that it mandates (MUST) RFC6282.
> 
> Question: Why is the fragmentation "NOT RECOMMMENDED"  as opposed to "MUST NOT" ?
> 
DP> We initially used "MUST NOT" but then changed our mind and decided to first get feedback from 6lo WG and other users of the 1901.2 technology on this item. Here, even if we believe 6lowpan fragmentation must not be used, we want to be sure we did not miss any use case where 6LowPan fragmentation may be required on top of 1901.2 MAC fragmentation.

> The draft mentions that PLC supports Mesh and star topology support like IEEE 802.15.4.  Does 6lowpan implementation on IEEE 1901.2 use any mesh L2 implementation underneath?

DP> We do not want to broaden the scope of the draft beyond specifying the use of 6LowPan header compression and fragmentation of IPv6 packets, when transmitting IPv6 packets over 1901.2 networks.
DP> we believe that the decision on how the routing will work in these networks, route over or mesh under, is the prerogative of system implementers and/or industry alliances that will define profiles.
> 
> Does 6lo-over-PLC need RFC6577 support at all?  Please add a section on its impact on 6lowpan-nd. If it is used, then what sections are used. If it does not, then please provide a few lines of explanations and describe how the IPv6 addresses are assigned and the nodes are rebooted with IPv6 addresses and communicate with each other.
> 
DP> Again, our preference is to not go beyond specification of use of 6LowPan IPv6 header compression and fragmentation. 
DP> We expect that the behaviors you mentioned ( IPv6 addr config, use or not of IPv6 neighbor discovery optimizations, etc.) will be specified by industry alliances and/or system implementers.
DP> We can add a few lines in the applicability statement section, stating the above explained obiective. Will this satisfy your questions? 

> Also please review the 6lowpan-mib document and see if that can be used for this stack as well ? 
> 
DP> We will review it.

> Best regards,
> -Samita
> 
> 
> -----Original Message-----
> From: 6lo [mailto:[email-masked]] On Behalf Of Popa, Daniel
> Sent: Sunday, March 30, 2014 6:51 PM
> To: [email-masked]
> Cc: [email-masked]'; Cisco-Johnathan Hui
> Subject: [6lo] TR: New Version Notification for draft-popa-6lo-6loplc-ipv6-over-ieee19012-networks-00.txt
> 
> Hello all,
> 
> A new draft has been submitted to 6lo WG with the objective of getting WG adoption.  
> 
> This draft describes the transmission of IPv6 packets over IEEE 1901.2 narrowband powerline communication networks. 
> 
> Regards,
> Daniel
> 
> 
> -----Message d'origine-----
> De : [email-masked] [mailto:[email-masked]] Envoyé : lundi 31 mars 2014 03:10 À : Popa, Daniel; Jonathan W. Hui Objet : New Version Notification for draft-popa-6lo-6loplc-ipv6-over-ieee19012-networks-00.txt
> 
> 
> A new version of I-D, draft-popa-6lo-6loplc-ipv6-over-ieee19012-networks-00.txt
> has been successfully submitted by Daniel Popa and posted to the IETF repository.
> 
> Name:        draft-popa-6lo-6loplc-ipv6-over-ieee19012-networks
> Revision:    00
> Title:        6LoPLC: Transmission of IPv6 Packets over IEEE 1901.2 Narrowband Powerline Communication Networks
> Document date:    2014-03-31
> Group:        Individual Submission
> Pages:        5
> URL:            http://www.ietf.org/internet-drafts/draft-popa-6lo-6loplc-ipv6-over-ieee19012-networks-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-popa-6lo-6loplc-ipv6-over-ieee19012-networks/
> Htmlized:       http://tools.ietf.org/html/draft-popa-6lo-6loplc-ipv6-over-ieee19012-networks-00
> 
> 
> Abstract:
>   This document updates [RFC 4944], "Transmission of IPv6 Packets over
>   IEEE 802.15.4 Networks", and [RFC 6282], "Compression Format for IPv6
>   Datagrams over IEEE 802.15.4-Based Networks", and specifies the
>   6LoPLC technology: the transmission of IPv6 packets over IEEE 1901.2
>   narrowband powerline communication networks.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
> 
> _______________________________________________
> 6lo mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/6lo